using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using SmartX;
using ITC81DB_2_ImageDll;

namespace ITC81DB_2.DialogForms
{
    public partial class DialogFormPasswordKeyPad1 : Form
    {
        #region Field
        private string m_InputKey;
        #endregion

        #region Property
        public string InputKey
        {
            get { return this.m_InputKey; }
            set { this.m_InputKey = value; }
        }
        #endregion

        #region Constructor
        public DialogFormPasswordKeyPad1(Define.E_LanguageID language)
        {
            InitializeComponent();

            this.InitializeDesign(language);
        }
        #endregion

        #region Method
        private void InputNum(string key)
        {
            if (this.InputKey.Length >= 4)
            {
                this.InputKey = key;
                this.labelScreen.Text = "*";
            }
            else
            {
                this.InputKey += key;
                this.labelScreen.Text += "*";
            }
        }

        private void InitializeDesign(Define.E_LanguageID language)
        {
            Class1 images = new Class1();

            if (language == Define.E_LanguageID.English)
            {
            }
            else if (language == Define.E_LanguageID.Chinese)
            {
            }
            else if (language == Define.E_LanguageID.Czech)
            {
            }
            else if (language == Define.E_LanguageID.Spanish)
            {
            }
            else
            {
            }
        }
        private void InitializeContnrol()
        {
            int x = 0, y = 0;

            x = Screen.PrimaryScreen.Bounds.Width / 2 - this.Size.Width / 2;
            y = Screen.PrimaryScreen.Bounds.Height / 2 - this.Size.Height / 2;

            this.Location = new Point(x, y);

            this.InputKey = "";
            this.labelScreen.Text = "";
        }
        #endregion

        #region Override Member
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            this.InitializeContnrol();
        }
        #endregion

        #region Event Handler
        private void buttonEnter_Click(object sender, EventArgs e)
        {
            if (this.labelScreen.Text.Length == 4)
            {
                this.DialogResult = DialogResult.OK;
            }
        }

        private void buttonNumber_Click(object sender, EventArgs e)
        {
            SmartButton bt = sender as SmartButton;

            if (bt == null)
                return;

            if (bt == this.buttonNumber0)
                this.InputNum("0");
            else if (bt == this.buttonNumber1)
                this.InputNum("1");
            else if (bt == this.buttonNumber2)
                this.InputNum("2");
            else if (bt == this.buttonNumber3)
                this.InputNum("3");
            else if (bt == this.buttonNumber4)
                this.InputNum("4");
            else if (bt == this.buttonNumber5)
                this.InputNum("5");
            else if (bt == this.buttonNumber6)
                this.InputNum("6");
            else if (bt == this.buttonNumber7)
                this.InputNum("7");
            else if (bt == this.buttonNumber8)
                this.InputNum("8");
            else if (bt == this.buttonNumber9)
                this.InputNum("9");
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
        #endregion
    }
}